<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">D3D9HardwareOcclusionQuery</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9HardwareOcclusionQuery Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#acea9a09b582738af4f7497b79181ab71">beginOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a4201dbbd6ec8127fa4be0397f317e47b">createQuery</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a5838026ec1f7215eb83bef515d42c940">D3D9HardwareOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a365b849131099fbb397203fff8eebae6">D3D9Resource</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a91db56eba916cbfaee699c04156b2cb5">DeviceToQueryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a0e19fec75ed9e453c5860e8880a166a8">DeviceToQueryMap</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#aab645a1644bc652b7843d9b6459a7dbb">endOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a7cfe92f369eedb757df18d264d23cb9a">getLastQuerysPixelcount</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae90c7bb824d1fdffe1ea35549217a5c7">Ogre::HardwareOcclusionQuery::getLastQuerysPixelcount</a>() const </td><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a4d2546c8e312ca97b34e9563d2bfb0a3">HardwareOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#ae49db96481f5d845767dcfcc7b076d20">isStillOutstanding</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#aa97afae987b0c0f16c3e232a7317fad5">lockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a320c1bab88bacc137b8d939a1785da7b">mIsQueryResultStillOutstanding</a></td><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#af880a289b6f53c7316032f2628419f63">mMapDeviceToQuery</a></td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ad9ae2ba4b9c5f443a8bb423ddeb6121b">mPixelCount</a></td><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a7b0b0ad594195deeb8e5ef40aaa7bce8">notifyOnDeviceCreate</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a408cfb33ff98feb4f3f0b7941f746614">notifyOnDeviceDestroy</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a6dea06e309f77051404ae1e0fb761e39">notifyOnDeviceLost</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a25a10de153b672d9a7a64278cd57eeae">notifyOnDeviceReset</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a46f3aaeae35802f03beaa0979ce71699">pullOcclusionQuery</a>(unsigned int *NumOfFragments)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a464f1512bdac84e7e4d01df42cf5095f">releaseQuery</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a6fc9c0ebe4a4c559b172f25f3b5dc9d8">unlockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a813b479e18f0cdf7acb5ff0c1630191d">~D3D9HardwareOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html">Ogre::D3D9HardwareOcclusionQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Resource.html#a1ecf872a0653d44f6078a57a17fd9eea">~D3D9Resource</a>()</td><td><a class="el" href="classOgre_1_1D3D9Resource.html">Ogre::D3D9Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#a713fc5b2a2e0ab14843fc381f8d93f99">~HardwareOcclusionQuery</a>()</td><td><a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
